/**************************************************************
 * This is a DEMO. You can use it only for development and testing.
 * You should open Setting.h and modify General options.
 *
 * If you would like to add these features to your product,
 * please contact Blynk for Businesses:
 *
 *                  http://www.blynk.io/
 *
 **************************************************************/

//#define USE_SPARKFUN_BLYNK_BOARD    // Uncomment the board you are using
//#define USE_NODE_MCU_BOARD        // Comment out the boards you are not using
//#define USE_WITTY_CLOUD_BOARD
#define USE_CUSTOM_BOARD          // See "Custom board configuration" in Settings.h

#define APP_DEBUG        // Comment this out to disable debug prints

#define BLYNK_PRINT Serial
#include <BlynkSimpleEsp8266.h>
#include "BlynkProvisioning.h"

BLYNK_WRITE(V1)
{
  int pinValue = param.asInt(); // assigning incoming value from pin V1 to a variable
  if(pinValue==1)
  {
    digitalWrite(D2,HIGH);
    }
   else
   {
    digitalWrite(D2,LOW);
    }
}
BLYNK_WRITE(V2)
{
  int pinValue = param.asInt(); // assigning incoming value from pin V2 to a variable
  if(pinValue==1)
  {
    digitalWrite(D3,HIGH);
    }
   else
   {
    digitalWrite(D3,LOW);
    }
}

BLYNK_WRITE(V3)
{
  int pinValue = param.asInt(); // assigning incoming value from pin V3 to a variable
  if(pinValue==1)
  {
    digitalWrite(D4,HIGH);
    }
   else
   {
    digitalWrite(D4,LOW);
    }
}

BLYNK_WRITE(V4)
{
  int pinValue = param.asInt(); // assigning incoming value from pin V4 to a variable
  if(pinValue==1)
  {
    digitalWrite(D5,HIGH);
    }
   else
   {
    digitalWrite(D5,LOW);
    }
}
BLYNK_WRITE(V5)
{
  int pinValue = param.asInt(); // assigning incoming value from pin V5 to a variable
  if(pinValue==1)
  {
    digitalWrite(D1,HIGH);
    }
   else
   {
    digitalWrite(D1,LOW);
    }
}
BLYNK_WRITE(V6)
{
  int pinValue = param.asInt(); // assigning incoming value from pin V6 to a variable
  if(pinValue==1)
  {
    digitalWrite(D2,HIGH);
    }
   else
   {
    digitalWrite(D2,LOW);
    }
}
BLYNK_WRITE(V7)
{
  int pinValue = param.asInt(); // assigning incoming value from pin V7 to a variable
  if(pinValue==1)
  {
    digitalWrite(D3,HIGH);
    }
   else
   {
    digitalWrite(D3,LOW);
    }
}
BLYNK_WRITE(V8)
{
  int pinValue = param.asInt(); // assigning incoming value from pin V8 to a variable
  if(pinValue==1)
  {
    digitalWrite(D4,HIGH);
    }
   else
   {
    digitalWrite(D4,LOW);
    }
}
void setup() {
  delay(500);
  Serial.begin(115200);

  BlynkProvisioning.begin();

}

void loop() {
  // This handles the network and cloud connection
  BlynkProvisioning.run();

}

